BinaryParserBuffer

module

  BinaryParserBuffer

since

  0.0.1

author

  Eduardo Astolfi eastolfi91@gmail.com

copyright

  2016 Eduardo Astolfi eastolfi91@gmail.com

license

  MIT Licensed

classdesc

  BinaryParserBuffer - based on (Binary Parser) by Jonas Raoni Soares Silva

### Hierarchy

- BinaryParserBuffer

## Index

### Constructors

- constructor

### Properties

- bigEndian
- buffer
- logger

### Methods

- checkBuffer
- hasNeededBits
- readBits
- setBuffer

## Constructors

### constructor

- new BinaryParserBuffer(bigEndian: any, buffer: string | number): BinaryParserBuffer

- - Defined in binary/BinaryParserBuffer.ts:19

  #### Parameters

  - ##### bigEndian: any

  - ##### buffer: string | number

  #### Returns BinaryParserBuffer

## Properties

### bigEndian

bigEndian: number

- Defined in binary/BinaryParserBuffer.ts:18

### buffer

buffer: Array<any> = []

- Defined in binary/BinaryParserBuffer.ts:19

### Protected logger

logger: JSWLogger

- Defined in binary/BinaryParserBuffer.ts:16

## Methods

### checkBuffer

- checkBuffer(neededBits: any): void

- - Defined in binary/BinaryParserBuffer.ts:50

  #### Parameters

  - ##### neededBits: any

  #### Returns void

### hasNeededBits

- hasNeededBits(neededBits: any): boolean

- - Defined in binary/BinaryParserBuffer.ts:46

  #### Parameters

  - ##### neededBits: any

  #### Returns boolean

### readBits

- readBits(start: number, length: number): number

- - Defined in binary/BinaryParserBuffer.ts:56

  #### Parameters

  - ##### start: number

  - ##### length: number

  #### Returns number

### setBuffer

- setBuffer(data: string): void

- - Defined in binary/BinaryParserBuffer.ts:33

  #### Parameters

  - ##### data: string

  #### Returns void

Generated using TypeDoc